# assert.c File Reference

`#include <assert.h>`
`#include <lib/kprintf.h>`
`#include <ubixos/kpanic.h>`

Include dependency graph for assert.c:

Go to the source code of this file.

## Functions

void | __assert (const char *func, const char *file, int line, const char *failedexpr)
| The underlying assertion call which is wrapped by assert().

## Function Documentation

void __assert | ( | const char * | func,
|  | const char * | file,
|  | int | line,
|  | const char * | failedexpr |
| ) |  |  |

The underlying assertion call which is wrapped by assert().

Definition at line 38 of file assert.c.

References K_PANIC, kprintf(), and NULL.

Here is the call graph for this function: